commit:     c537ab7d9ca6875db88415c08004f9cb176f79f0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  8 07:44:11 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Sep  8 07:45:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c537ab7d

dev-ruby/multipart-post: avoid developer-oriented warnings

These warnings are aimed at developers using this code but they
are not actionable for people consuming this package as part of an
existing tool.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../multipart-post/multipart-post-2.2.3-r1.ebuild  | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/multipart-post/multipart-post-2.2.3-r1.ebuild 
b/dev-ruby/multipart-post/multipart-post-2.2.3-r1.ebuild
new file mode 100644
index 000000000000..fdf3a83ed1f7
--- /dev/null
+++ b/dev-ruby/multipart-post/multipart-post-2.2.3-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="multipart-post.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds a streamy multipart form post capability to Net::HTTP"
+HOMEPAGE="https://github.com/socketry/multipart-post";
+SRC_URI="https://github.com/socketry/multipart-post/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+       sed -i -e 's:_relative ":"./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Remove warnings since these are only actionable for developers,
+       # not for people consuming this package as part of other tools.
+       sed -i -e '/Top level/ s/warn/# warn/' lib/*.rb || die
+}

Reply via email to